#!/usr/bin/perl

use DBI;

my %props;

open(FIL,"db.conf") || die ("Cannot open db.conf\n");

while ($i=<FIL>) {
	chomp ($i);
	($name,$value)= split '=', $i;
	$props{$name}=$value;
}

my $dsn="DBI:".$props{"dbtype"}.":".$props{"dbname"}.":".$props{"dbhost"};
my $uname=$props{"dbuser"};
my $pwd=$props{"dbpassword"};

my $db=DBI->connect($dsn,$uname,$pwd);

$db->do("drop table if exists login");
$db->do("create table login(login VARCHAR(30) PRIMARY KEY,password VARCHAR(30),name VARCHAR(30))");
$db->do("drop table if exists mixed");
$db->do("create table mixed(nu int,field VARCHAR(30) PRIMARY KEY)");
$db->do("drop table if exists data");
$db->do("create table data(login VARCHAR(30) ,field VARCHAR(30),marks int)");
