import java.io.*;
import java.sql.*;
import java.text.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class Main extends HttpServlet {

    public static final String servletName="Main";
    DbConn db= new DbConn();
    public void doGet(HttpServletRequest request,
            HttpServletResponse response)
        throws IOException, ServletException
    {
        HttpSession session = request.getSession();
        PrintWriter out = response.getWriter();

        response.setContentType("text/html");

        out.println("<html>");
        out.println("<meta NAME=\"Author\" CONTENT=\"sammy@cse.iitb\">");

        String servlet = (String)session.getAttribute("servlet");
        String previous= (String)session.getAttribute("previous");

        String uName = (String)session.getAttribute("uname");

        if(servlet!=null && servlet.equals("Logout")) {
/**************************/
            session.setAttribute("previous","logout");
            session.removeAttribute("uname"); 
            session.setAttribute("servlet","Login");
            Library.redirect(response,"Main");
/**************************/
        } else if(servlet!=null && servlet.equals("Analysis")) {
/**************************/
            session.setAttribute("previous","analysis");
            out.println("<body>");

            if ( uName==null || uName.length()==0 ) { // User is not logged in. Give error message and login link
    		session.setAttribute("servlet","Login");
                Library.redirect(response,"Main");
                out.println("Not Logged in. Redirecting To Login Page");
            } else {
                if (previous.equals("analysis")) {
                    String queryby=request.getParameter("queryby");

                    if(queryby==null || queryby.equals("form")) {
                        String field=  request.getParameter("field");
                        String lower= (String)request.getParameter("lower");
                        String upper= (String)request.getParameter("upper"); 
                        int pagesize= Integer.parseInt(((String)request.getParameter("pagesize")==null)?"10":(String)request.getParameter("pagesize")); 
                        int offset= Integer.parseInt(((String)request.getParameter("offset")==null)?"0":(String)request.getParameter("offset")); 
                        if ( lower==null || lower.length()==0) {
                            lower="0";
                        }
                        if ( upper==null || upper.length()==0) {
                            upper="10";
                        }

                        String query="select field from mixed";
                        String array[]=db.execQuery1(query);
                        Library.putAnalysisForm(response,array,pagesize);

                        query= "select * from data where field like '" + field
                            + "' and marks >= " + lower + "  and marks <= " + upper ;

                        out.println("<table align=\"center\" width=\"100%\"><tr><td width=80%>");

                        out.println("<center><table border=2");
                        out.println("<thead>");
                        out.println("<tr>");
                        out.println("<td bgcolor=#79b1ff>Login</td>");
                        out.println("<td bgcolor=#79b1ff>Field</td>");
                        out.println("<td bgcolor=#79b1ff>Marks</td>");
                        out.println("</tr>");
                        out.println("</thead>");
                        out.println("<tbody>");
                        int i=db.execQuery2(query,out,offset,pagesize);
                        out.println("</tbody>");
                        out.println("</table></center>");
                        out.println("<center>");
                        if (offset!=0) {
                            out.println("<a href=\"Main?"+
                                    "queryby=form&" +
                                    "field=" + field + "&" +
                                    "lower=" + lower + "&" +
                                    "upper=" + upper + "&" +
                                    "pagesize=" + pagesize + "&" +
                                    "offset=" + (offset - pagesize) +
                                    "\">Previous</a>");
                        }
                        out.println(" &nbsp; &nbsp; ");
                        if (offset + pagesize < i) {
                            out.println("<a href=\"Main?"+
                                    "queryby=form&" +
                                    "field=" + field + "&" +
                                    "lower=" + lower + "&" +
                                    "upper=" + upper + "&" +
                                    "pagesize=" + pagesize + "&" +
                                    "offset=" + (offset + pagesize) +
                                    "\">Next</a>");
                        }
                        out.println("</center>");

                        out.println("</td><td valign=top>");
                        
                        query="select field,max(marks),min(marks),avg(marks) from data group by field";
                        out.println("<table BORDER=\"1\" bordercolor=\"black\" align=\"right\">");
                        out.println("<thead><td bgcolor=#79b1ff>FIELD</td>");
                        out.println("<td bgcolor=#79b1ff>MAX</td>");
                        out.println("<td bgcolor=#79b1ff>MIN</td>");
                        out.println("<td bgcolor=#79b1ff>AVG</td></thead><tbody>");
                        db.execQuery3(query,out);
                        out.println("</table>");
                        out.println("</td></tr></tbody></table>");

                        session.setAttribute("servlet","Analysis");
                    } else if (queryby.equals("url")){
                        int pagesize= Integer.parseInt((String)request.getParameter("pagesize")); 
                        int offset= Integer.parseInt((String)request.getParameter("offset")); 
                        String query="select field from mixed";
                        String array[]=db.execQuery1(query);
                        Library.putAnalysisForm(response,array,pagesize);
                        String string=request.getParameter("sel");
                        String name=request.getParameter("nm1");
                        String field=request.getParameter("fld");

                        out.println("<table align=\"center\" width=\"100%\"><tr><td width=80%>");
                        out.println("<table BORDER=\"1\" bordercolor=\"black\" align=\"center\">");
                        out.println("<thead><td bgcolor=#79b1ff>UNAME</td>");
                        out.println("<td bgcolor=#79b1ff>FIELD</td>");
                        out.println("<td bgcolor=#79b1ff>MARKS</td></thead><tbody>");
                        if(string.equals("a"))
                            query="select * from data where login="+"\""+name+"\"";
                        else if(string.equals("b"))
                            query="select * from data where field="+"\""+name+"\"";
                        else if(string.equals("c"))
                        {
                            query="select * from data where field='"+field+"' and marks="+Integer.parseInt(name);
                        } 	
                        int i = db.execQuery2(query,out,offset,pagesize);
                        out.println("</tbody></table>");
                        out.println("<center>");
                        if (offset!=0) {
                            out.println("<a href=\"Main?queryby=url&offset="+(offset-pagesize)
                                    + "&pagesize="+pagesize
                                    + "&sel="+string
                                    + "&fld="+field
                                    + "&nm1="+name+"\">Previous</a>");
                        }
                        out.println(" &nbsp; &nbsp; ");
                        if (offset + pagesize < i) {
                            out.println("<a href=\"Main?queryby=url&offset="+(offset+ pagesize)
                                    + "&pagesize="+pagesize
                                    + "&sel="+string
                                    + "&fld="+field
                                    + "&nm1="+name+"\">Next</a>");
                        }
                        out.println("</center>");
                        
                        out.println("</td><td valign=top>");
                        
                        query="select field,max(marks),min(marks),avg(marks) from data group by field";
                        out.println("<table BORDER=\"1\" bordercolor=\"black\" align=\"right\">");
                        out.println("<thead><td bgcolor=#79b1ff>FIELD</td>");
                        out.println("<td bgcolor=#79b1ff>MAX</td>");
                        out.println("<td bgcolor=#79b1ff>MIN</td>");
                        out.println("<td bgcolor=#79b1ff>AVG</td></thead><tbody>");
                        db.execQuery3(query,out);
                        out.println("</table>");
                        out.println("</td></tr></tbody></table>");

                        session.setAttribute("servlet","Analysis");
                    } else if(queryby.equals("logout")) {
                        session.setAttribute("servlet","Logout");
                        Library.redirect(response,"Main");
                    }
                } else {

                    String query="select field from mixed";
                    String array[]=db.execQuery1(query);
                    Library.putAnalysisForm(response,array,10);

                    query= "select * from data where login like '" + uName + "';";
                    out.println("<table align=\"center\" width=\"100%\"><tr><td width=80%>");
                    out.println("<center><table border=2>");
                    out.println("<thead>");
                    out.println("<tr>");
                    out.println("<td bgcolor=#79b1ff>Login</td>");
                    out.println("<td bgcolor=#79b1ff>Field</td>");
                    out.println("<td bgcolor=#79b1ff>Marks</td>");
                    out.println("</tr>");
                    out.println("</thead>");
                    out.println("<tbody>");
                    int i=db.execQuery2(query,out,0,10);
                    out.println("</tbody>");
                    out.println("</table></center>");
                    
                    out.println("</td><td valign=top>");
                    
                    query="select field,max(marks),min(marks),avg(marks) from data group by field";
                    out.println("<table BORDER=\"1\" bordercolor=\"black\" align=\"right\">");
                    out.println("<thead><td bgcolor=#79b1ff>FIELD</td>");
                    out.println("<td bgcolor=#79b1ff>MAX</td>");
                    out.println("<td bgcolor=#79b1ff>MIN</td>");
                    out.println("<td bgcolor=#79b1ff>AVG</td></thead><tbody>");
                    db.execQuery3(query,out);
                    out.println("</table>");
                    out.println("</td></tr></tbody></table>");
                }

                Library.putLogoutForm(response);

            }
/**************************/
        } else if(servlet!=null && servlet.equals("InputForm")) {
/**************************/
            session.setAttribute("previous","inputform");

            if ( uName==null || uName.length()==0 ) { // User is not logged in. Give error message and login link
                session.setAttribute("servlet","Login");
                Library.redirect(response,"Main");
                out.println("Redirecting To Login Page");
            } else {
                boolean firstTime=db.firstTime(uName);

                if(!firstTime) {				
                    session.setAttribute("servlet","Analysis");
                    Library.redirect(response,"Main");
                }
                else
                {
                    if(!previous.equals("inputform")) {
                        String query="select field from mixed";
                        String array[]=db.execQuery1(query);
                        int size=array.length;

                        out.println("<body>");
                        out.println("<H1>InputForm</H1>");
                        out.println("<font type=\"sans-serif\" size=5>");
                        out.println("<FORM METHOD=POST ACTION=\"Main\">");
                        session.setAttribute("servlet","InputForm");
                        out.println("<TABLE>");

                        for(int j=0;j<size;j++){
                            out.println("<tr><td>"+array[j]+"</td>");
                            out.println("<td><input type=text NAME=\""+array[j]+"\"></td></tr>");
                        }
                        out.println("</TABLE>");
                        out.println("<INPUT TYPE=\"submit\" NAME=\"signin\">"); 			
                        out.println("</FORM>");
                        out.println("</font>");
                    } else {
                        String query="select field from mixed";
                        String array[]=db.execQuery1(query);
                        for(int i=0;i<array.length;i++){
                            String innerquery="insert into data values("+"'" + uName +"', '"+array[i]+"', "+Integer.parseInt(request.getParameter(array[i]))+")";
                            db.execQuery(innerquery);
                        }

                        session.setAttribute("servlet","Analysis");
                        Library.redirect(response,"Main");
                        out.println("<body>");
                    }
                }
            }
/**************************/
        } else {
            session.setAttribute("previous","login");

            out.println("<h3>" + "Login Page"+ "</h3>");

            String action=(String)request.getParameter("action");
            if ( previous==null || previous.length()==0) { // New Session so show the login form
                out.println("Welcome to insectopia");
                Library.putHead(response);
                Library.putLoginForm(response);
            } else if (previous.equals("login")) { // Not a new session. Check if user has logged in or not
                if ( uName!=null && uName.length()!=0 ) { // User is already logged in and is just about perfect
                    // send him onnwards on his way
                    session.setAttribute("servlet","InputForm");
                    Library.redirect(response,"Main");
                } else { // User is not logged in. So show the login form
                    if (previous.equals("login")) {
                        uName = request.getParameter("uname");
                        String pwd=request.getParameter("pwd");
                        String dbpwd=db.returnpwd(uName);
                        if(dbpwd.equals(pwd)) {
                            session.setAttribute("uname", uName);
                            session.setAttribute("servlet","InputForm");
                            Library.redirect(response,"Main");
                        } else {
                            out.println("<font color=red>Invalid Username/Password</font>");
                            Library.putHead(response);
                            Library.putLoginForm(response);
                        }
                    } else {
                        out.println("You aren't logged in yet");
                        Library.putHead(response);
                        Library.putLoginForm(response);
                    }
                }
            } else {
                out.println("Welcome to insectopia");
                Library.putHead(response);
                Library.putLoginForm(response);
            }
        }
        out.println("</body>");
        out.println("</html>");

    }

    public void doPost(HttpServletRequest request,
            HttpServletResponse response)
        throws IOException, ServletException
    {
        doGet(request, response);
    }

}


class DbConn
{
    private Connection conn =  null;
    private Properties dbProps = null;
    private String confFile ="./db.conf";
    public String jdbcString;
    private Statement stmt;
    private ResultSet rs;

    DbConn()
    {
        try {
            String driver = "com.mysql.jdbc.Driver";
            Class.forName(driver);
/* ******* */
            FileInputStream fis = new FileInputStream(confFile);

            dbProps = new Properties();
            dbProps.load(fis);
            int dbPort = Integer.parseInt(dbProps.getProperty("dbport"));
            String dbHost = dbProps.getProperty("dbhost");
            String dbUser = dbProps.getProperty("dbuser");
            String dbPassword = dbProps.getProperty("dbpassword");
            String dbName = dbProps.getProperty("dbname");
            String dbType = dbProps.getProperty("dbtype");
            jdbcString = "jdbc:mysql://" + dbHost + "/" + dbName + "?user=" + dbUser +"&password=" + dbPassword;
/* ******** *
            jdbcString = "jdbc:mysql://nsl-54.cse.iitb.ac.in/mahesh31?user=mahesh31&password=mahesh3111560";
* ******** */
            conn = DriverManager.getConnection(jdbcString);
            stmt = conn.createStatement();
        }
        catch(ClassNotFoundException e) {
            System.out.println("Driver Can't be loaded");
        }
/* **** */
	catch(IOException e) {
            System.out.println("File Exception:"+e);
        }
/* **** */
        catch(SQLException e) {
            System.out.println("Connection can't be created");
        }
    }

    public String returnpwd(String name)
    {

        try {
            String query = "Select * from login";
            PreparedStatement pstmt = conn.prepareStatement(query);                 
            rs = pstmt.executeQuery();

            while(rs.next()) {
                String nm = rs.getString("login");
                String pd = rs.getString("password");
                if(name.equals(nm)) {
                    return(rs.getString("password"));
                }

            } 
            return("\n\n\n\n\n");
        }
        catch(Exception e) {
            System.out.println("Exception:" + e);
        }	

        return("\n\n\n\n\n");
    }

    public boolean firstTime(String name)
    {
        try {
            String query = "Select * from data where login like '" + name +"';";
            PreparedStatement pstmt = conn.prepareStatement(query);                 
            rs = pstmt.executeQuery();

            if(rs.next()) {
                return(false);
            } else {
                return (true);
            }
        }
        catch(Exception e) {
            System.out.println("Exception:"+e);
        }	

        return(false);
    }

    public void execQuery(String query)
    {
        try {
            PreparedStatement pstmt = conn.prepareStatement(query);                

            pstmt.executeUpdate();
        }
        catch(Exception e) {
            System.out.println("Exception:"+e);
        }	
    }

    public String[] execQuery1(String query)
    {
        String array[]=new String[1];
        int i=0;	
        try {
            {
                PreparedStatement pstmt = conn.prepareStatement(query);                
                rs=pstmt.executeQuery();
                while(rs.next()){
                    ++i;
                }
            }
            array=new String[i];
            i=0;
            {
                PreparedStatement pstmt = conn.prepareStatement(query);                
                rs=pstmt.executeQuery();
                while(rs.next()){
                    array[i++]=rs.getString("field");
                }
            }
        }
        catch(Exception e) {
            System.out.println("Exception:" +e);
        }

        return array;
    }

    public int execQuery2(String query,PrintWriter out,int offset,int pagesize)
    {
        int i=0;	
        try {
            System.out.println(query);
            PreparedStatement pstmt = conn.prepareStatement(query);                

            rs=pstmt.executeQuery();
            while(rs.next()){
                if (offset<=i && i<(offset + pagesize)) {
                    out.println("<tr><td>");
                    out.println("<a href=\"Main?queryby=url&offset=0&pagesize="+pagesize+"&sel=a&nm1="+rs.getString("login")+"\">"+rs.getString("login")+"</a>");
                    out.println("<td>");
                    out.println("<a href=\"Main?queryby=url&offset=0&pagesize="+pagesize+"&sel=b&nm1="+rs.getString("field")+"\">"+rs.getString("field")+"</a>");
                    out.println("<td>");
                    out.println("<a href=\"Main?queryby=url&offset=0&pagesize="+pagesize+"&sel=c&fld="+rs.getString("field")+"&nm1="+rs.getString("marks")+"\">"+rs.getString("marks")+"</a>");
                }
                ++i;
            }

        }

        catch(Exception e) {
            System.out.println("Exception:"+e);
        }

        return (i);
    }

    public void execQuery3(String query,PrintWriter out)
    {
        try {
            PreparedStatement pstmt = conn.prepareStatement(query);                
            rs=pstmt.executeQuery();
            while(rs.next()){
                out.println("<tr><td>");
                out.println(rs.getString("field"));
                out.println("<td>");
                out.println(rs.getString("max(marks)"));
                out.println("<td>");
                out.println(rs.getString("min(marks)"));
                out.println("<td>");
                out.println(rs.getString("avg(marks)"));
            }

        }
        catch(Exception e)
        {
            System.out.println("Exception:"+e);
        }
    }			
}


class Library {
    public static void putLoginForm(HttpServletResponse response)
        throws IOException, ServletException
    {
		PrintWriter out = response.getWriter();
                out.println("<P>");
                out.print("<form action=\"");
        	out.print(response.encodeURL("Main"));
                out.print("\" ");
                out.println("method=POST>");
                out.println("<table><tr><td>Username</td>");
                out.println("<td><input type=text size=20 name=uname></input></td></tr>");
                out.println("<tr><td>Password</td>");
                out.println("<td><input type=password size=20 name=pwd></input></td>");
                out.println("<tr><td><input type=submit></input></td></tr></table>");
                out.println("<input type=hidden name=action value=login></input>");
                out.println("</form>");
    }
    
    public static void putLogoutForm(HttpServletResponse response)
        throws IOException, ServletException
    {
		PrintWriter out = response.getWriter();
                out.println("<P>");
                out.print("<form action=\"");
        	out.print(response.encodeURL("Main"));
                out.print("\" ");
                out.println("method=POST>");
                out.println("<input type=hidden name=queryby value=\"logout\"></input>");
                out.println("<input type=submit value=Logout></input>");
                out.println("</form>");
    }

    public static void putAnalysisForm(HttpServletResponse response,String array[], int pagesize)
        throws IOException, ServletException
    {
		PrintWriter out = response.getWriter();
                out.println("<fieldset>");
                out.println("<legend>Query Form</legend>");
                out.print("<form action=\"");
        	out.print(response.encodeURL("Main"));
                out.print("\" ");
                out.println("method=POST>");
                out.println("<select name=\"field\">");
		for(int i=0;i<array.length;i++){
	                out.println("<option value=\"" + array[i] + "\">"+ array[i] +"\n");
		}
                out.println("</select>");
                out.println("<table>");
                out.println("<thead>");
                out.println("<tr><td>&nbsp;</td><td>Marks Range</td></tr>");
                out.println("</thead>");
                out.println("<tbody>");
                out.println("<tr>");
                out.println("<td>Lower Value</td>");
                out.println("<td><Select name=lower>\n");
		for(int j=0;j<=10;j++){
	                out.println("<option value=\"" + j + "\">"+j +"\n");
		}
                out.println("</select></td>");
                out.println("</tr>");
                out.println("<tr>");
                out.println("<td>Upper Value</td>");
                out.println("<td><Select name=upper>");
		for(int j=0;j<=10;j++){
	                out.println("<option value=\"" + j + "\">"+j +"\n");
		}
		out.println("</select></td>");
                out.println("</tr>");
                out.println("<tr><td>&nbsp;</td><td>&nbsp;</td></tr>");
                out.println("<tr>");
                out.println("<td>Page Size</td>");
                out.println("<td><input type=text size=4 name=pagesize value="+pagesize+"></td>\n");
                out.println("</tr>");
                out.println("</tbody>");
                out.println("</table>");
/*                out.println("<input name= type= value=></input>");
		*/
                out.println("<input type=hidden name=offset value=0></input>");
                out.println("<input type=hidden name=queryby value=\"form\"></input>");
                out.println("<input type=submit value=Go></input>");
                out.println("</form>");
                out.println("</fieldset>");
    }

    public static void putHead(HttpServletResponse response)
        throws IOException, ServletException
    {
        PrintWriter out = response.getWriter();
        out.println("<head>");
        String title = "Login Page";
        out.println("<title>" + title + "</title>");
        out.println("</head>");
        out.println("<body>");
    }

    public static void redirect(HttpServletResponse response, String destination)
        throws IOException, ServletException
	{
		PrintWriter out = response.getWriter();
		out.println("<META HTTP-EQUIV=\"refresh\" CONTENT=\"0;URL=" + destination  + "\">");
		out.println(" <body>");
	}

}
