#!/usr/bin/perl

use DBI;

my %props;

open(FIL,"db.conf") || die ("Cannot open db.conf\n");

while ($i=<FIL>) {
	chomp ($i);
	($name,$value)= split '=', $i;
	$props{$name}=$value;
}

my $dsn="DBI:".$props{"dbtype"}.":".$props{"dbname"}.":".$props{"dbhost"};
my $uname=$props{"dbuser"};
my $pwd=$props{"dbpassword"};

my $db=DBI->connect($dsn,$uname,$pwd);

$db->do("truncate table login;");
$db->do("truncate table mixed;");
$db->do("truncate table data;");
